org.jfree.chart.axis

## Class AxisLocation

- java.lang.Object
- - org.jfree.chart.axis.AxisLocation

- All Implemented Interfaces:
    java.io.Serializable

      public final class AxisLocation
      extends java.lang.Object
      implements java.io.Serializable

  Used to indicate the location of an axis on a 2D plot, prior to knowing the orientation of the plot.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AxisLocation` | `BOTTOM_OR_LEFT` Axis at the bottom or left.
    `static AxisLocation` | `BOTTOM_OR_RIGHT` Axis at the bottom or right.
    `static AxisLocation` | `TOP_OR_LEFT` Axis at the top or left.
    `static AxisLocation` | `TOP_OR_RIGHT` Axis at the top or right.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `AxisLocation` | `getOpposite()` Returns the location that is opposite to this location.
    `static AxisLocation` | `getOpposite(AxisLocation location)` Returns the location that is opposite to the supplied location.
    `int` | `hashCode()` Returns a hash code for this instance.
    `java.lang.String` | `toString()` Returns a string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOP_OR_LEFT

          public static final AxisLocation TOP_OR_LEFT

      Axis at the top or left.

    - #### TOP_OR_RIGHT

          public static final AxisLocation TOP_OR_RIGHT

      Axis at the top or right.

    - #### BOTTOM_OR_LEFT

          public static final AxisLocation BOTTOM_OR_LEFT

      Axis at the bottom or left.

    - #### BOTTOM_OR_RIGHT

          public static final AxisLocation BOTTOM_OR_RIGHT

      Axis at the bottom or right.

  - ### Method Detail

    - #### getOpposite

          public AxisLocation getOpposite()

      Returns the location that is opposite to this location.
      Returns:
        The opposite location.
      Since:
        1.0.5

    - #### toString

          public java.lang.String toString()

      Returns a string representing the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the other object (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash code.

    - #### getOpposite

          public static AxisLocation getOpposite(AxisLocation location)

      Returns the location that is opposite to the supplied location.
      Parameters:
        `location` - the location (`null` not permitted).
      Returns:
        The opposite location.